# Class FormGroup

A simple `fieldset` HTMLElement containing multiple form widgets.

## Index

### Methods

- build

### Constructors

- constructor

## Methods

### build

- build(): HTMLElement

- - Defined in ui/FormWidgets/FormGroup.ts :39

  Gets the element on which the form group is bound.

  #### Returns HTMLElement

  The form group element.

## Constructors

### constructor

- new FormGroup(contents: IFormWidget[], label: string): FormGroup

- - Defined in ui/FormWidgets/FormGroup.ts :19

  Creates a new `FormGroup`.

  #### Parameters

  - ##### contents: IFormWidget[]

    The form widgets to include in the form group.

  - ##### label: string

    The label to display for the form group.

  #### Returns FormGroup

### Hierarchy

- FormGroup